
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Name:			ladspa-wubflip
Summary:		WubFlip ladspa effect plugin
Version:		1
Release:		2.1
License:		GPLv2+
Group:			Productivity/Multimedia/Sound/Utilities
Source:			http://www.alexs.org/ladspa/wubflip.tar.gz
URL:			http://www.alexs.org/ladspa/
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	gcc-c++
BuildRequires:	ladspa-devel

%description
I am not an expert on effects algorithms. I just thought I'd mess
around with the audio data and see what happens. WubFlip was the
result.

It sort of flips high or low values beyond a threshold making a
dirty distorted mess of the sound that might be useful for people
making wanting big dirty breaks or synths or something like that.

Play around with the sliders. The upper threshold slider needs to
be higher (to the right of) than the lower threshold slider
otherwise you'll get no sound. The difference between them
effects the sound. Then the multiplier slider effects how much
"flipping" gets done.

%prep
%setup -q -n wubflip

%build
gcc $RPM_OPT_FLAGS -fPIC -dPIC -c wubflip.c -o wubflip.o
ld -shared -o wubflip.so wubflip.o
#gcc -g -shared -o wubflip.so wubflip.o
strip wubflip.so

%install
%__install -dm 755 %{buildroot}%{_libdir}/ladspa
%__install -m 644 wubflip.so \
	%{buildroot}%{_libdir}/ladspa

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc README
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/wubflip.so

%changelog
* Wed May 20 2009 Toni Graffy <toni@links2linux.de> - 1-0.pm.1
- initial build 1
